You must install IIS before installing IIRF

Topics: Developer Forum, User Forum
Oct 6, 2010 at 1:42 PM

Hi there


While version 2.0 is letting me install (but bringing the site down) with iirf2.1.msi I immediately get "you must install IIS before installing IIRF".  Obviously, with the website up and running it's already been installed (by my hosting company) and until now I've had no other problems.  I'm running IIS7 on Windows 2008.  The only odd thing about the existing IIS configuration is that the IIS ftp redirects to IIS6.0.


Any ideas?

May 5, 2011 at 8:49 PM


I am experiencing the same issue.

My system is Windows Server 2008 Enterprise, 64bit. According to the 'About' screen I am running with IIS 7.0.6000.

After downloading the install package I get the 'You must install iis before installing IIRF' error message almost immediately. The install package I'm using is "Iirf2.1-x64.msi"


Any info is appreciated. Thanks.

May 5, 2011 at 8:54 PM

For the time being I am moving on to simply downloading the .zip file and using the .dll as necessary.

May 6, 2011 at 1:57 PM

Having trouble..


Trying to use the installer posted here:


And it loads, however, after selecting which features I would like installed I get the following message:

Setup for Ionic's ISAPI Rewrite Filter 2.1 ended prematurely.


This only happens if I have the DLLs selected as to be installed.

Oct 17, 2014 at 8:08 PM
Make sure that you have added ISAPI to the IIS setup

Under Programs >> Windows Features >> IIS